Skip to main content
POST
/
v2
/
account
/
eod
/
trades
Create EoD trade
curl --request POST \
  --url https://api.example.com/v2/account/eod/trades \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "quoteToken": "<string>"
}
'
{
  "trade": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "inputCurrency": "<string>",
    "inputPaymentMethod": "<string>",
    "inputAmount": "<string>",
    "outputCurrency": "<string>",
    "outputPaymentMethod": "<string>",
    "outputAmount": "<string>",
    "basePrice": "<string>",
    "appliedFees": [
      {
        "type": "<string>",
        "description": "<string>",
        "amount": "<string>",
        "currency": "<string>"
      }
    ],
    "quoteTokenId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "settlementTerms": "<string>",
    "settlementDate": "2023-11-07T05:31:56Z",
    "status": "<string>",
    "settledAt": "2023-11-07T05:31:56Z",
    "settlementTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z"
  }
}

Create EoD trade

POST request to /v2/account/eod/trades

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

subAccountId
string<uuid>

Operate against a sub-account of the authenticated main account.

Body

application/json
quoteToken
string
required

Response

OK

trade
object